#
# spec file for package ibus-table-zhuyin
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-table-zhuyin
Version:        1.2.0.20090831
Release:        lp152.3.2
Summary:        Zhuyin input method for IBus
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            http://code.google.com/p/ibus/
Source:         http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
# FIX-FOR-UPSTREAM fix attribute name error in zhuyin-big.txt table.
Patch:          zhuyin-big-attr-name.patch
BuildRequires:  fdupes
BuildRequires:  ibus-table-devel
BuildRequires:  pkg-config
Provides:       locale(ibus:zh_TW)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%ibus_table_requires

%description
Zhuyin input method intergrated in IBus framework.

%prep
%setup -q
%patch -p1

%build
export PYTHON=python3
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%fdupes %{buildroot}

%post
%ibus_table_index_post zhuyin
%ibus_table_index_post zhuyin-big

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_ibus_icondir}/zhuyin.png
%{_ibus_icondir}/zhuyin-big.png
%{_ibus_tabledir}/zhuyin.db
%{_ibus_tabledir}/zhuyin-big.db

%changelog
* Wed Mar  2 2016 qzhao@suse.com
- Change License name in SPEC file to match with sources.
* Sun Jul 27 2014 i@marguerite.su
- use python3 to build
* Wed Jun 27 2012 i@marguerite.su
- fix builds for factory
  * attr name of zhuyin-big.txt.
- fix sles builds.
- run spec-cleaner and format_spec_file.
* Tue Jul 26 2011 tiwai@suse.de
- Add locale-specific provides tag for automatic installation
* Fri Feb  5 2010 mxwu@novell.com
- Initial import.
